Перейти к содержимому

POST /sandboxes/{sandboxID}/timeout ​

Set sandbox timeout

Set the timeout for the sandbox. The sandbox will expire x seconds from the time of the request. Calling this method multiple times overwrites the TTL, each time using the current timestamp as the starting point to measure the timeout duration.

Параметры ​

  • sandboxID · string · путь · обязательно

Тело запроса ​

Обязательно: нет

application/json ​

Схема: SandboxTimeoutRequest

  • timeout · integer · обязательно

    Timeout in seconds from the current time after which the sandbox should expire

    Формат: int32

    Минимум: 0

Ответы ​

204 ​

Successfully set the sandbox timeout

401 ​

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

404 ​

Not found

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500 ​

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error